﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Tests
{
    /** Returns the result of an MDX query comparision.  This object contains two data members:
     * A boolean to indicate whether or not the comparision succeeded and an HTML string containing a
     * visual representation of the comparison and what exactly caused the failure.
     **/
    class CubeComparisonResult
    {
        private Boolean passed = false;
        private string resultHtml;

        public CubeComparisonResult(Boolean passed, string resultHtml)
        {
            this.passed = passed;
            this.resultHtml = resultHtml;
        }

        public Boolean hasPassed() { return passed; }

        public string getResultHtml() { return resultHtml; }
    }
}
